Oore CI

Create pipeline secret

Stores an encrypted value. The response never contains it. Requires the manage pipelines project permission.

Operation IDcreate_pipeline_secret
POST
/v1/pipelines/{pipeline_id}/secrets

Stores an encrypted value. The response never contains it. Requires the manage pipelines project permission.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

pipeline_id*string

Pipeline ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/pipelines/string/secrets" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "value": "string"  }'
{  "secret": {    "created_at": 0,    "name": "string",    "pipeline_id": "string",    "project_id": "string",    "scope": "instance",    "updated_at": 0  }}